package com.kospo.talk.service;

import com.kospo.talk.model.ManualId;
import com.kospo.talk.payload.ManualDto;
import com.kospo.talk.payload.VManualDto;
import jakarta.transaction.Transactional;
import org.springframework.core.io.InputStreamResource;
import org.springframework.core.io.Resource;

import java.io.IOException;
import java.net.MalformedURLException;
import java.util.HashMap;
import java.util.List;

public interface ManualService {
    List<VManualDto> introList(String workId);

    List<ManualDto> findDoc(String workId);

    List<VManualDto> findVideo(String search, String workId);

    List<VManualDto> findVideoSm(String workId, String sabun);

    List<ManualDto> findDocSearch(String onm, String workId, String type);

    List<ManualDto> findDocSearchPerson(String type, String sabun);

    byte[] loadImage(ManualId id);

    HashMap<String, Object> loadOoc(ManualId id);

    Resource loadVideo(int id, String type) throws IOException;

    void save(ManualDto manualDto);

    @Transactional
    void videoSave(VManualDto vManualDto);

    String videoDelete(String sabun, int id);

    void update(ManualDto manualDto);

    void delete(String workId, String vnm);
}
